package com.ruoyi.cai.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.cai.domain.UserInvite;
import com.ruoyi.cai.dto.admin.vo.UserInviteAdminVo;
import com.ruoyi.cai.dto.app.vo.invite.InviteHomeVo;
import com.ruoyi.cai.dto.app.vo.user.UserListVo;
import com.ruoyi.common.core.domain.PageQuery;

/**
 * 用户邀请Service接口
 *
 * @author 77
 * @date 2023-12-28
 */
public interface UserInviteService extends IService<UserInvite> {

    UserInvite getByUserId(Long id);

    InviteHomeVo inviteHome(Long userId);

    Page<UserListVo> inviteUserPage(PageQuery pageQuery, Long inviteId);

    Page<UserInviteAdminVo> pageAdmin(PageQuery pageQuery, UserInviteAdminVo bo);

    boolean updateUserInviteRate(UserInvite bo);
}
